For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
      • GETList webhooks
      • POSTCreate a webhook
      • GETGet a webhook
      • DELDelete a webhook
      • PATCHUpdate a webhook
      • GETGet webhook signing secret
      • POSTRotate webhook signing secret
      • GETList webhook event types
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
WebhooksWebhook Management

Create a webhook

POST
https://example.ada.support/api/v2/webhooks/
POST
/api/v2/webhooks/
1import requests
2
3url = "https://example.ada.support/api/v2/webhooks/"
4
5payload = { "url": "https://example.com/webhooks" }
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "id": "ep_2bxE8VNtkWEMpJrMJv74FlSQmqP",
3 "url": "https://example.com/webhooks",
4 "description": "My production webhook",
5 "event_filters": [
6 "v1.conversation.created",
7 "v1.conversation.ended"
8 ],
9 "enabled": true,
10 "created_at": "2026-03-12T10:00:00+00:00",
11 "updated_at": "2026-03-12T10:00:00+00:00"
12}
Create a new webhook subscription. If this is the first webhook for this AI Agent, the webhook infrastructure is automatically provisioned
Was this page helpful?
Previous

Get a webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
urlstringRequiredformat: "uri"
The URL that will receive webhook events
descriptionstringOptionalDefaults to
A description of the webhook
event_filterslist of stringsOptional
Event types to subscribe to. An empty list subscribes to all events
enabledbooleanOptionalDefaults to true
Whether the webhook is enabled

Response

Webhook created
idstringRead-only
The webhook ID
urlstringformat: "uri"
The URL that will receive webhook events
descriptionstring
A description of the webhook
event_filterslist of strings
Event types this webhook is subscribed to. If empty, the webhook receives all events
enabledboolean
Whether the webhook is enabled
created_atstringRead-onlyformat: "date-time"
When the webhook was created
updated_atstringRead-onlyformat: "date-time"
When the webhook was last updated

Errors

400
Bad Request Error
401
Unauthorized Error